!set title=Sum and product of 3 I
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=26
prevarcnt=16
postvarcnt=9
replycnt=0
choicecnt=0
conditioncnt=1
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat fixedgoal
tmp0=!randitem constineq,obvineq

val2=$(tmp0)
tmp0=!randitem trans,addineq

val3=$(tmp0)
m_methods=ineq/rewrite, ineq/simpdeduc, ineq/mulexp, ineq/lincomb,	ineq/$val2, ineq/$val3, ineq/mulineq, ineq/sqrpos
m_minsteps=8
tmp=!trim x,y,z	a,b,c	r,s,t	l,m,n	u,v,w	
val4=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val4

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val4=$(tmp0)
tmp0=!item 1 of $val4

val5=$(tmp0)
tmp0=!item 2 of $val4

val6=$(tmp0)
tmp0=!item 3 of $val4

val7=$(tmp0)
tmp0=!randint 8, 30

val8=$[rint($(tmp0))]
val9=$[rint($val8^3)]
tmp0=!randitem rational numbers, real numbers

val10=$(tmp0)
tmp0=!randitem <,<=

val11=$(tmp0)
val12=$val5 + $val6 + $val7 $val11 $val8
val13=0 <= $val5
val14=0 <= $val6
val15=0 <= $val7
val16=$val5*$val6*$val7 $val11 $val9
m_context=$val12	$val13	$val14	$val15	
m_goal=$val16
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Let 
!insmath $val5, $val6, $val7
$() be three non-negative $val10 such that	
!insmath  $val12 
$().	Prove <p><center>	
!insmath $val16
$().	</center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
!if $m_newobject != &#36;empty 
tmp0=!exec mathexp cut inequality	$m_newobject

val17=$(tmp0)
tmp0=!item 1 of $val17

val18=$(tmp0)
tmp0=!item 2 of $val17

val19=$(tmp0)
tmp0=!item 3 of $val17

val20=$(tmp0)
!if $val19 issametext $val11 
tmp=!translate ";': to $     $ in $val18-($val5*$val6*$val7)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val21=$(tmp0)
tmp=!translate ";': to $     $ in $val20-($val9)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val22=$(tmp0)
!else
tmp=!translate ";': to $     $ in $val20-($val5*$val6*$val7)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val21=$(tmp0)
tmp=!translate ";': to $     $ in $val18-($val9)

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val22=$(tmp0)
tmp0=!translate internal <> to >< in $val19

val19=$(tmp0)
!endif
!endif

!exit

:feedback

!exit

:test

!ifval $val21 = 0 and $val22 = 0 and $val19 issametext $val11
 condtest1=1
!else
 condtest1=0
!endif
condname1=

!exit

:stat
vsavelist=5,6,7,9,10,11,12,16
embedcnt=0
